For discussion of Alpine Linux development and developer support

2

[alpine-devel] [PATCH] testing/xdotool: new aport

Stuart Cardall
Details
Message ID
<1402392295-30480-1-git-send-email-developer@it-offshore.co.uk>
Sender timestamp
1402392295
DKIM signature
missing
Download raw message
Patch: +39 -0
xdotool lets you simulate keyboard input and mouse activity, move and
resize windows, etc. It does this using X11's XTEST extension and other
Xlib functions.  http://www.semicomplete.com/projects/xdotool/#idp9392

Builds on uclibc & musl
---
 testing/xdotool/APKBUILD | 39 +++++++++++++++++++++++++++++++++++++++
 1 file changed, 39 insertions(+)
 create mode 100644 testing/xdotool/APKBUILD

diff --git a/testing/xdotool/APKBUILD b/testing/xdotool/APKBUILD
new file mode 100644
index 0000000..cefa4c2
--- /dev/null
+++ b/testing/xdotool/APKBUILD
@@ -0,0 +1,39 @@
+# Contributor: Stuart Cardall <developer@it-offshore.co.uk>
+# Maintainer:
+pkgname=xdotool
+pkgver=2.20110530.1
+pkgrel=0
+pkgdesc="This tool lets you simulate keyboard input and mouse activity, move and resize windows, etc."
+url="http://www.semicomplete.com/projects/xdotool/#idp9392"
+arch="all"
+license="(c) Jordan Sissel"
+depends=""
+depends_dev="libx11-dev libxtst-dev libxinerama-dev"
+makedepends="$depends_dev"
+source="http://semicomplete.googlecode.com/files/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	export "PREFIX=/usr"
+	make
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR=$pkgdir install || return 1
+}
+
+md5sums="62d0c2158bbaf882a1cf580421437b2f  xdotool-2.20110530.1.tar.gz"
+sha256sums="e7b42c8b1d391970e1c1009b256033f30e57d8e0a2a3de229fd61ecfc27baf67  xdotool-2.20110530.1.tar.gz"
+sha512sums="0b2f71203c41e320aac152e1376b30bb9f5ea2067572299ad4c32f49b2505566275f0b377b4f443c3520751d71a9b270325cd676e63ee2a153de3213e128f2cb  xdotool-2.20110530.1.tar.gz"
-- 
1.9.1



---
Unsubscribe:  alpine-devel+unsubscribe@lists.alpinelinux.org
Help:         alpine-devel+help@lists.alpinelinux.org
---
Natanael Copa
Details
Message ID
<20140730161239.0d6fe40f@ncopa-desktop.alpinelinux.org>
In-Reply-To
<1402392295-30480-1-git-send-email-developer@it-offshore.co.uk> (view parent)
Sender timestamp
1406729559
DKIM signature
missing
Download raw message
Hi,

trying to clean up my inbox. (sorry late response)

On Tue, 10 Jun 2014 09:24:55 +0000
Stuart Cardall <developer@it-offshore.co.uk> wrote:

> xdotool lets you simulate keyboard input and mouse activity, move and
> resize windows, etc. It does this using X11's XTEST extension and other
> Xlib functions.  http://www.semicomplete.com/projects/xdotool/#idp9392
> 
> Builds on uclibc & musl
> ---
>  testing/xdotool/APKBUILD | 39 +++++++++++++++++++++++++++++++++++++++
>  1 file changed, 39 insertions(+)
>  create mode 100644 testing/xdotool/APKBUILD
> 
> diff --git a/testing/xdotool/APKBUILD b/testing/xdotool/APKBUILD
> new file mode 100644
> index 0000000..cefa4c2
> --- /dev/null
> +++ b/testing/xdotool/APKBUILD
> @@ -0,0 +1,39 @@
> +# Contributor: Stuart Cardall <developer@it-offshore.co.uk>
> +# Maintainer:
> +pkgname=xdotool
> +pkgver=2.20110530.1
> +pkgrel=0
> +pkgdesc="This tool lets you simulate keyboard input and mouse activity, move and resize windows, etc."
> +url="http://www.semicomplete.com/projects/xdotool/#idp9392"
> +arch="all"
> +license="(c) Jordan Sissel"

This license does not look like a valid open source license :)

Package failed to build also (missing perl in makedepends?)

>>> xdotool: Unpacking /var/cache/distfiles/xdotool-2.20110530.1.tar.gz...
pod2man -c "" -r "" xdotool.pod > xdotool.1
/bin/sh: pod2man: not found
Makefile:148: recipe for target 'xdotool.1' failed
make: *** [xdotool.1] Error 127

-nc


---
Unsubscribe:  alpine-devel+unsubscribe@lists.alpinelinux.org
Help:         alpine-devel+help@lists.alpinelinux.org
---
Natanael Copa
Details
Message ID
<20140730162049.598ef8bd@ncopa-desktop.alpinelinux.org>
In-Reply-To
<1402392295-30480-1-git-send-email-developer@it-offshore.co.uk> (view parent)
Sender timestamp
1406730049
DKIM signature
missing
Download raw message
On Tue, 10 Jun 2014 09:24:55 +0000
Stuart Cardall <developer@it-offshore.co.uk> wrote:

> xdotool lets you simulate keyboard input and mouse activity, move and
> resize windows, etc. It does this using X11's XTEST extension and other
> Xlib functions.  http://www.semicomplete.com/projects/xdotool/#idp9392
> 
> Builds on uclibc & musl
> ---
>  testing/xdotool/APKBUILD | 39 +++++++++++++++++++++++++++++++++++++++
>  1 file changed, 39 insertions(+)
>  create mode 100644 testing/xdotool/APKBUILD

Applied with various fixes

Thanks!

-nc


---
Unsubscribe:  alpine-devel+unsubscribe@lists.alpinelinux.org
Help:         alpine-devel+help@lists.alpinelinux.org
---